Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface JMSDistributedDestinationMBean

All Superinterfaces:
  ConfigurationMBean, DeploymentMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, JMSConstants, JMSVirtualDestinationMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

All Known Subinterfaces:
  JMSDistributedQueueMBean, JMSDistributedTopicMBean

Deprecated. 9.0.0.0 Replaced by `and weblogic.j2ee.descriptor.wl.UnifrormDistributedDestinationBean`

public interface JMSDistributedDestinationMBean
extends JMSVirtualDestinationMBean

This class represents a JMS distributed destination, which is comprised of multiple physical JMS destinations (topics or queues) as members of a single distributed set of destinations that can be served by multiple WebLogic Server instances within a cluster.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  7.0.0.0
See Also:
  `weblogic.j2ee.descriptor.wl.UniformDistributedDestinationBean}`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Fields inherited from interface weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, ALWAYSFORWARD, AT_LEAST_ONCE, AT_MOST_ONCE, AUTH_PRINS, CONSUMPTION_ENABLED, CONSUMPTION_PAUSED, CONSUMPTION_PAUSING, DEFAULT_MESSAGE_BUFFER_SIZE, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISABLED, DISCARD, ENABLED, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, EXACTLY_ONCE, EXPORT_TO_ALL, EXPORT_TO_NONE, FIFO, INITIALCONTEXTFACTORY, INSERTION_ENABLED, INSERTION_PAUSED, INSERTION_PAUSING, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NEVER, NO_DELIVERY, NON_PERSISTENT, NON_XML, PAUSED_AT_STARTUP_DEFAULT, PAUSED_AT_STARTUP_FALSE, PAUSED_AT_STARTUP_TRUE, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, PRODUCTION_ENABLED, PRODUCTION_PAUSED, PRODUCTION_PAUSING, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SUPPORTS, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TOPIC_SUBSCRIBER_ONLY, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA, UNITOFORDER_STANDARD, UNITOFORDER_SYSTEM, XML, XMLALL`

Method Summary
`String` | `getLoadBalancingPolicy()` Deprecated. Defines the load balancing policy for producers sending messages to a distributed destination in order to balance the message load across the members of the distributed set.
`JMSTemplateMBean` | `getTemplate()` Deprecated. The JMS template from which the distributed destination is derived.
`void` | `setLoadBalancingPolicy(String loadBalancingPolicy)` Deprecated. Sets the value of the LoadBalancingPolicy attribute.
`void` | `setTemplate(JMSTemplateMBean template)` Deprecated. Sets the value of the Template attribute.

Methods inherited from interface weblogic.management.configuration.JMSVirtualDestinationMBean
`getJNDIName, setJNDIName`

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getLoadBalancingPolicy

    public String getLoadBalancingPolicy()

  Deprecated.

  Defines the load balancing policy for producers sending messages to a distributed destination in order to balance the message load across the members of the distributed set.

  - Round-Robin

    - The system maintains an ordering of physical topic members within the set by distributing the messaging load across the topic members one at a time in the order that they are defined in the configuration file. Each WebLogic Server maintains an identical ordering, but may be at a different point within the ordering. If weights are assigned to any of the topic members in the set, then those members appear multiple times in the ordering.

  - Random

    - The weight assigned to the topic members is used to compute a weighted distribution for the members of the set. The messaging load is distributed across the topic members by pseudo-randomly accessing the distribution. In the short run, the load will not be directly proportional to the weight. In the long run, the distribution will approach the limit of the distribution. A pure random distribution can be achieved by setting all the weights to the same value, which is typically set to 1.

  Returns:
    The loadBalancingPolicy value

### getTemplate

    public JMSTemplateMBean getTemplate()

  Deprecated.

  The JMS template from which the distributed destination is derived.

  Returns:
    The template value

### setLoadBalancingPolicy

    public void setLoadBalancingPolicy(String loadBalancingPolicy)
                                throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the LoadBalancingPolicy attribute.

  Parameters:
    `loadBalancingPolicy` - The new loadBalancingPolicy value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getLoadBalancingPolicy()`
  Default value:
    JMSConstants.ROUND_ROBIN
  Legal values:
    JMSConstants.ROUND_ROBIN,JMSConstants.RANDOM
  A dynamic MBean attribute.
    true

### setTemplate

    public void setTemplate(JMSTemplateMBean template)

  Deprecated.

  Sets the value of the Template attribute.

  See Also:
    `getTemplate()`
  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD